#	$NetBSD$
#
# fixit.conf - put in anything we think we might want on a fixit floppy

# first, we list the source dirs that our programs reside in.  These are
# searched in order listed to find the dir containing each program.

srcdirs /usr/src/bin /usr/src/sbin /usr/src/usr.bin /usr/src/usr.sbin
srcdirs /usr/src/gnu/usr.bin

# second, we list all the programs we want to include in our crunched binary.
# The order doesn't matter.  Any program that needs hard links to it gets an
# `ln' directive.  

# /bin stuff

progs cat chmod cp date dd df echo ed expr hostname kill ln ls mkdir
progs mt mv pwd rcp rm rmdir sh sleep stty sync test

ln test [
ln sh -sh		# init invokes the shell this way
ln sh -

# /sbin stuff

progs badsect chown clri disklabel dump dmesg fdisk fsck halt ifconfig init
progs mknod mount newfs ping reboot restore swapon umount
ln dump rdump
ln restore rrestore

# /usr/bin stuff

progs ftp rsh sed telnet rlogin vi

# gnu stuff

progs cpio gzip
ln gzip gunzip
ln gzip gzcat

# finally, we specify the libraries to link in with our binary

libs -ledit		# NetBSDism
libs -lcrypt		# but don't include this when exporting	:-(
libs -lcurses -ltermcap
libs -lkvm -ltelnet -lutil -ll
